---
apiVersion: v1
kind: Namespace
metadata:
  name: chatsys
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: buzzchat 
  namespace: chatsys
spec:
  selector:
    matchLabels:
      run: buzzchat 
  replicas: 1 
  template:
    metadata:
      labels:
        run: buzzchat 
    spec:
      containers:
      - name: buzzchat 
#        image: registry.gitlab.com/buzzcrate/apps/buzzchat:latest-amd64
        image: registry.gitlab.com/buzzcrate/apps/buzzchat:latest
        workingDir: /buzzchat
        command: ["./buzzchat"]
          # command: ["sleep"]
          # args: ["15000"]
        ports:
        - containerPort: 8080
      # nodeName: worker1
---
apiVersion: v1
kind: Service
metadata:
  labels:
    name: buzzchat
  name: goechosvc
  namespace: chatsys
spec:
  ports:
    # The port that this service should serve on.
    - protocol: TCP
      port: 6080
      targetPort: 8080
  # Label keys and values that must match in order to receive traffic for this service.
  selector:
    run: buzzchat 
  type: LoadBalancer 

